Lintian::Processable::Source::Components(3)

NAME
Lintian::Processable::Source::Components - interface to orig tar components

SYNOPSIS
   use Moo;

   with 'Lintian::Processable::Source::Components';

DESCRIPTION
Lintian::Processable::Source::Components provides an interface to data for upstream source components. Most sources only use one tarball.

INSTANCE METHODS

components
    Returns a reference to a hash containing information about source components listed in the .dsc file. The key is the filename, and the value is the name of the component.

AUTHOR
Originally written by Adam D. Barratt <adsb@debian.org> for Lintian.

SEE ALSO
lintian(1), Lintian::Processable